From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/adblock/
Date: Mon, 25 Apr 2022 12:11:04 +0000 (UTC) [thread overview]
Message-ID: <1650888530.8f02ef54f9081b5aa0860d9fb921603cf70b9659.mgorny@gentoo> (raw)
commit: 8f02ef54f9081b5aa0860d9fb921603cf70b9659
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 22 06:37:03 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr 25 12:08:50 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f02ef54
dev-python/adblock: migrate to distutils-r1 with PEP517=maturin
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/adblock/adblock-0.5.2-r1.ebuild | 99 ++++++++++++++++++++++++++++++
1 file changed, 99 insertions(+)
diff --git a/dev-python/adblock/adblock-0.5.2-r1.ebuild b/dev-python/adblock/adblock-0.5.2-r1.ebuild
new file mode 100644
index 000000000000..2e432744ce79
--- /dev/null
+++ b/dev-python/adblock/adblock-0.5.2-r1.ebuild
@@ -0,0 +1,99 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+ adblock-0.4.3
+ addr-0.14.0
+ adler-1.0.2
+ aho-corasick-0.7.18
+ autocfg-1.1.0
+ base64-0.13.0
+ bitflags-1.3.2
+ byteorder-1.4.3
+ cfg-if-1.0.0
+ crc32fast-1.3.2
+ either-1.6.1
+ flate2-1.0.22
+ form_urlencoded-1.0.1
+ idna-0.2.3
+ indoc-0.3.6
+ indoc-impl-0.3.6
+ instant-0.1.12
+ itertools-0.10.3
+ libc-0.2.118
+ lock_api-0.4.6
+ matches-0.1.9
+ memchr-2.4.1
+ miniz_oxide-0.4.4
+ num-traits-0.2.14
+ once_cell-1.9.0
+ parking_lot-0.11.2
+ parking_lot_core-0.8.5
+ paste-0.1.18
+ paste-impl-0.1.18
+ percent-encoding-2.1.0
+ proc-macro-hack-0.5.19
+ proc-macro2-1.0.36
+ psl-2.0.71
+ psl-types-2.0.10
+ pyo3-0.15.1
+ pyo3-build-config-0.15.1
+ pyo3-macros-0.15.1
+ pyo3-macros-backend-0.15.1
+ quote-1.0.15
+ redox_syscall-0.2.10
+ regex-1.5.4
+ regex-syntax-0.6.25
+ rmp-0.8.10
+ rmp-serde-0.13.7
+ rmp-serde-0.15.5
+ scopeguard-1.1.0
+ seahash-3.0.7
+ serde-1.0.136
+ serde_derive-1.0.136
+ smallvec-1.8.0
+ syn-1.0.86
+ tinyvec-1.5.1
+ tinyvec_macros-0.1.0
+ twoway-0.2.2
+ unchecked-index-0.2.2
+ unicode-bidi-0.3.7
+ unicode-normalization-0.1.19
+ unicode-xid-0.2.2
+ unindent-0.1.7
+ url-2.2.2
+ winapi-0.3.9
+ winapi-i686-pc-windows-gnu-0.4.0
+ winapi-x86_64-pc-windows-gnu-0.4.0"
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{8..10} )
+inherit cargo distutils-r1
+
+DESCRIPTION="Python wrapper for Brave's adblocking library, which is written in Rust"
+HOMEPAGE="https://github.com/ArniDagur/python-adblock"
+SRC_URI="
+ https://github.com/ArniDagur/python-adblock/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz
+ $(cargo_crate_uris)"
+S="${WORKDIR}/python-${P}"
+
+LICENSE="Apache-2.0 BSD MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+BDEPEND="test? ( dev-python/toml[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED=".*/adblock.*.so"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_compile() {
+ distutils-r1_src_compile
+
+ # tests try to find Cargo.toml + adblock/adblock.pyi in current
+ # directory but will fail if pytest finds init in ./adblock
+ rm adblock/__init__.py || die
+}
next reply other threads:[~2022-04-25 12:11 UTC|newest]
Thread overview: 35+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-25 12:11 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-14 20:29 [gentoo-commits] repo/gentoo:master commit in: dev-python/adblock/ Ionen Wolkens
2024-05-11 11:35 Ionen Wolkens
2023-08-06 7:53 Ionen Wolkens
2023-06-20 3:11 Ionen Wolkens
2023-06-18 18:47 Michał Górny
2023-05-27 15:55 Ionen Wolkens
2023-04-22 6:53 Ionen Wolkens
2022-10-14 11:57 Ionen Wolkens
2022-08-07 13:59 Ionen Wolkens
2022-08-07 13:59 Ionen Wolkens
2022-07-18 0:22 Ionen Wolkens
2022-06-16 13:59 Ionen Wolkens
2022-06-02 15:07 Ionen Wolkens
2022-05-16 18:40 Ionen Wolkens
2022-05-16 18:40 Ionen Wolkens
2022-05-16 6:45 Ionen Wolkens
2022-03-14 11:43 Ionen Wolkens
2022-03-14 11:43 Ionen Wolkens
2022-03-01 13:57 Ionen Wolkens
2022-01-17 10:18 Ionen Wolkens
2022-01-14 9:58 Ionen Wolkens
2021-12-16 19:11 Ionen Wolkens
2021-12-16 19:11 Ionen Wolkens
2021-12-04 0:44 Ionen Wolkens
2021-10-22 14:35 Agostino Sarubbo
2021-10-19 0:12 Sam James
2021-10-15 15:53 Ionen Wolkens
2021-10-15 15:53 Ionen Wolkens
2021-10-15 15:53 Ionen Wolkens
2021-10-15 15:53 Ionen Wolkens
2021-08-14 21:01 Michał Górny
2021-07-20 16:01 Stefan Strogin
2021-07-18 15:08 Stefan Strogin
2021-06-22 21:37 Stefan Strogin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1650888530.8f02ef54f9081b5aa0860d9fb921603cf70b9659.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox